Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.ScrollListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSliderUI.ScrollListener

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.ScrollListener
extends Object
implements ActionListener

Scroll-event listener. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicSliderUI.ScrollListener()`
`BasicSliderUI.ScrollListener(int dir, boolean block)`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`void` | `setDirection(int direction)`
`void` | `setScrollByBlock(boolean block)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSliderUI.ScrollListener

    public BasicSliderUI.ScrollListener()

### BasicSliderUI.ScrollListener

    public BasicSliderUI.ScrollListener(int dir,
                                        boolean block)

Method Detail

### setDirection

    public void setDirection(int direction)

### setScrollByBlock

    public void setScrollByBlock(boolean block)

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.
  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.